Bug 123812 - (ACPI PATCH?)lid switch won't cause resume when using ACPI on Thinkpad R32
(ACPI PATCH?)lid switch won't cause resume when using ACPI on Thinkpad R32
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 13:56 EDT by bperkins
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bperkins 2004-05-20 13:56:25 EDT
Description of problem:
Lid won't resume when using ACPI on Thinkpad R32 (apparently others as
well )

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.Put machine to sleep (S3) your favorite way
2.Open Lid

  
Actual results:
No wake from resume.  Power button will resume the machine fine.

Expected results:
Machine should resume from the lid event.

Additional info:

There is a (somewhat hacky)  patch for this issue that sort of fixes
this issue 

http://bugme.osdl.org/show_bug.cgi?id=1415

http://bugme.osdl.org/attachment.cgi?id=2325&action=view


From the bugzilla entry:

 this patch will create a proc entry called  /proc/acpi/wakeup_devices"
 >cat /proc/acpi/wakeup_devices
 will show all possible wake capable devices
 >echo devicename > /proc/acpi/wakeup_devices
 will enable the device to wakeup machine from sleeping state
 call >echo devicename > /proc/acpi/wakeup_devices again will disable  the
 device's wakeup capablility.
Comment 1 Colin Charles 2004-11-21 05:11:53 EST
Closed/fixed upstream, but I still sort of don't get my R51 awakening
with the latest FC3 kernel - 2.6.9-1.678_FC3
Comment 2 Dave Jones 2005-04-16 01:32:05 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.